Email notification processing is slow - Redmine 1.2.2

2012-06-07 05:50 - Ben Lei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

1. I have try to update a issue that have 200 members

2. All members have setup the Email notifications to "For any event on my projects"

3. When I updated the issue, it need a lot of time to view.

4. When I use the "Private" button on "New issue", and choose 5 watcher only, it still slow.

5. I have try to config "Asynchronous Email Delivery", but the problem still exit.

6. See the attachment, for cost time record.

Please help me the problem, Thanks.

Related issues:

Related to Redmine - Feature #26791: Send individual notification mails per m... Closed

History

#1 - 2012-06-07 10:17 - Etienne Massip

You should consider using async option in notification settings.

Else, the page is rendered only once all the notifications emails have been sent.

#2 - 2012-06-07 11:43 - Ben Lei

Hello:

I have config the "configuration.yml", as below, but it also slow.

production:

delivery_method: :async_sendmail

#3 - 2012-06-07 11:49 - Etienne Massip

Less?

#4 - 2012-06-07 11:51 - Ben Lei

The cost time almost the same before.

#5 - 2012-06-11 05:37 - Ben Lei

Dears：

Thanks your reply.

How may I confirm the async_sendmail is work?

#6 - 2012-06-11 08:01 - Ben Lei

This is my configuration on /usr/redmine-1.2.2/config/configuration.yml

production:

    delivery_method: :async_smtp

    smtp_settings:

    tls: true

    address: "xxx.com.tw" 

    port: 587

    authentication: :plain

    domain: 'xxx.com.tw'

    user_name: xxx
    password: xxx

#7 - 2012-06-11 08:57 - Ben Lei

Dears：

I also try to use gmail, but the cost time was 29XXXms, still have long time.

production:

  email_delivery:

    delivery_method: :async_smtp

    smtp_settings:

      tls: true

      enable_starttls_auto: true

      address: "smtp.gmail.com" 

      port: '587'

      domain: "smtp.gmail.com" 

      authentication: :plain

      user_name: "xxx@gmail.com" 

      password: "xxx" 

#8 - 2012-06-13 04:49 - Ben Lei

Another Question:

4. The same environment, when I use the "Private" button on "New issue", and choose 5 watcher only. Why the CPU usage is full use between 30

sec. If the system was waiting mail server response, What does the CPU work?

#9 - 2012-07-10 15:57 - Adam Bellaire

I'd just like to add that I was having a similar problem with async_smtp, causing 500 internal server error and consuming 100% cpu for around 30

seconds.  I was using async_smtp against our local SMTP server, both with and without TLS.  I was not able to resolve the issue, and had to switch

to using async_sendmail (which fortunately was a valid option for me), and everything is fine.

This really seems like an implementation problem with async_smtp.

#10 - 2017-06-19 18:37 - She Bytes

Ben Lei wrote:

This is my configuration on /usr/redmine-1.2.2/config/configuration.yml

production:

delivery_method: :async_smtp

smtp_settings:

tls: true

address: "xxx.com.tw"

port: 587

authentication: :plain

domain: 'xxx.com.tw'

user_name: xxx

password: xxx

 Switching from delivery_method "smtp" to "async_smtp" solved my problem. Thanks!

#11 - 2017-07-03 09:52 - Go MAEDA

- Category set to Email notifications

#12 - 2017-11-04 06:58 - Go MAEDA

- Status changed from New to Closed

It seems that using asynchronous delivery solved the problem. Closing.

#13 - 2017-11-04 06:59 - Go MAEDA

- Related to Feature #26791: Send individual notification mails per mail recipient added
